curl --request GET \
--url https://api.chift.eu/consumers/{consumer_id}/syncs/{syncid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.chift.eu/consumers/{consumer_id}/syncs/{syncid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.chift.eu/consumers/{consumer_id}/syncs/{syncid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"syncid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sync_name": "<string>",
"link_createdon": "2023-11-07T05:31:56Z",
"status": "inactive",
"status_details": "<string>",
"link_mappings": [
{
"name": "<string>",
"values": [
{
"source_id": "<string>",
"target_id": "<string>"
}
],
"hidden_source_ids": [
"<string>"
],
"sub_mapping_name": "<string>",
"description": "<string>",
"display_order": 0,
"challenge_question": "<string>",
"conditions": {},
"sub_mapping_description": "<string>"
}
],
"skip_mappings": [
{
"name": "<string>",
"skip_reason": "presync"
}
],
"link_metadata": {},
"link_presync": {},
"enabled_flows": [
{
"name": "<string>",
"id": "<string>",
"values": {},
"trigger": {
"id": "<string>",
"type": "timer",
"cronschedule": "<string>"
},
"description": "<string>",
"config": {
"definitionFields": [
{}
],
"doorkeyFields": [
{}
],
"customFields": [
{}
],
"datastores": []
},
"enabled_on": "2023-11-07T05:31:56Z"
}
]
}{
"message": "The consumer is not configured for this sync",
"status": "error"
}{
"message": "Validation error",
"status": "error",
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Get sync information for one consumer
Returns sync information (creation date, mapping) related to a specific consumer
Authorizations
This access token needs to be included in each of your request to the Chift API.
Query Parameters
Response
Successful Response
Name of the sync
Date on which the consumer first navigated to the link to setup the sync
Indicates whether the consumer has setup the sync. If the setup is complete, it will return 'active'. Otherwise 'inactive'.
active, inactive Gives additional information if the status is inactive
Values of the mappings requested for the sync for the specific consumer
Show child attributes
Show child attributes
List of mappings which are ignored due to specific configuration of the consumer
Show child attributes
Show child attributes
Metadata passed during creation
Values of the presync configuration for the sync for the specific consumer
List of flows that the consumer has enabled
Show child attributes
Show child attributes